phrSetErrorStringsOn {phreeqc} | R Documentation

## Set error strings on/off.

### Description

Sets the error strings switch on or off. This switch controls whether or not the data normally sent to the error file are stored in a buffer for retrieval. The initial setting is on.

### Usage

    phrSetErrorStringsOn(value)

### Arguments

`value` | if TRUE, captures output normally sent to the error file into a buffer.

### Details

The try is necessary to keep the error message from displaying immediately.

### References

ftp://brrftp.cr.usgs.gov/pub/charlton/iphreeqc/IPhreeqc.pdf

### See Also

Other Error: `phrGetErrorFileName`, `phrGetErrorFileOn`, `phrGetErrorStringsOn`, `phrGetErrorStrings`, `phrSetErrorFileName`, `phrSetErrorFileOn`

### Examples

    # This example attempts to run ex1, fails, and displays the error message
    # (no database is loaded).
    phrSetErrorStringsOn(TRUE)
    if (!is.null(try(phrRunString(ex1), silent=TRUE))) {
      cat(phrGetErrorStrings(), "\n")
    }

[Package phreeqc version 3.4.10 Index]